MPIL_Comm_parent(3)

NAME
MPIL_Comm_parent - LAM/MPI-specific function to obtain the communicator containing the parent process

SYNOPSIS
#include <mpi.h>
int MPIL_Comm_parent(MPI_Comm *comm)

OUTPUT PARAMETER
comm
    - Parent communicator (handle)

NOTES
This function is deprecated. It has been replaced with an MPI-2 function (see the "See also" section, below), which provides the same functionality. This function is (or effectively is) a wrapper to the replacement function, anyway. User programs should use the MPI-2 replacement function instead of this function. Some functions are deprecated because their names did not conform to the stricter naming conventions of MPI-2; others are deprecated because they have been replaced with more flexible functionality.

SEE ALSO
MPI_Comm_parent

LOCATION
mpil_spawn.c